/*  
    BluePhone is a Bluetooth mobile phone manager
    Copyright (C) 2004 Ed Rayne <er241@cam.ac.uk>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef GLOBAL_H
#define GLOBAL_H

#include <bluetooth/bluetooth.h>
#include <glib.h>
#include <gtk/gtk.h>

#include "eggtrayicon.h"

#define TIMEOUT 5000

struct s_global
{
	bdaddr_t bdaddr;	/* bluetooth device address */
	gint rfcomm;		/* rfcomm serial channel */
	gint socket; 		/* rfcomm socket */
	GIOChannel *io_channel;	/* io channel for communicating with socket */	
};

struct s_global global;

#endif /* GLOBAL_H */
